const newsletterFeed = require(`./src/utils/newsletterFeed`)

module.exports = (options) => {
  const { feed = true, feedTitle = `Minimal Blog - @lekoarts/gatsby-theme-minimal-blog` } = options

  return {
    siteMetadata: {
      siteTitle: `Danil Shaymurzin`,
      siteTitleAlt: `Личный блог.`,
      siteHeadline: `Личный блог.`,
      siteUrl: `https://mrzn.org`,
      siteDescription: `Личный блог.`,
      siteLanguage: `ru`,
      siteImage: `/banner.jpg`,
      author: `@murka`,
    },
    plugins: [
      {
        resolve: `@themurka/gatsby-theme-minimal-blog-core`,
        options,
      },
      feed && {
        resolve: `gatsby-plugin-feed`,
        options: newsletterFeed(feedTitle),
      },
      `gatsby-plugin-react-helmet`,
      `gatsby-plugin-typescript`,
      `gatsby-plugin-catch-links`,
      `gatsby-plugin-theme-ui`,
    ].filter(Boolean),
  }
}
